Get Cash Ledger
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"data": {
"status_cd": "1",
"data": {
"cl_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Closing Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"fr_dt": "01/04/2024",
"gstin": "24AAACQ3770E1ZP",
"op_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Opening Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"to_dt": "11/04/2024",
"tr": []
}
},
"timestamp": 1763446641000,
"transaction_id": "01459da0-b84b-4aab-9867-bb84e8c67348"
}Cash Ledger
Get Cash Ledger for the specified period for authenticated taxpayer
GET
/
gst
/
compliance
/
tax-payer
/
ledgers
/
cash
Get Cash Ledger
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash \
--header 'authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash"
headers = {
"authorization": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("authorization", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash")
.header("authorization", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/cash")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["authorization"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"data": {
"status_cd": "1",
"data": {
"cl_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Closing Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"fr_dt": "01/04/2024",
"gstin": "24AAACQ3770E1ZP",
"op_bal": {
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"desc": "Opening Balance",
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 0
},
"tot_rng_bal": 0
},
"to_dt": "11/04/2024",
"tr": []
}
},
"timestamp": 1763446641000,
"transaction_id": "01459da0-b84b-4aab-9867-bb84e8c67348"
}Response schema
For successful responses, these resources describe the GSTN payload atdata.data.
View JSON schema
View Excel field reference
Authorizations
GST taxpayer access token returned by Verify OTP.
Query Parameters
Response
200 - application/json
GSTN response. data.status_cd is "1" for success and "0" for a business error.
- Option 1
- GSTN business error
A GSTN success or GSTN business-failure response. Both variants use HTTP 200.